package UI.Registration;

import javax.swing.*;
import java.awt.*;

/**
 * represents the initial frame for registration
 * @author zahra_fatehi
 * @version 0.0
 */
public class InitialFrame extends JFrame {

    private InitialPanel mainInitialPanel;
    private boolean isClickOnPlay = false;

    /**
     * add the components to initial frame
     * @param title
     */
    public InitialFrame(String title) {
        super(title);
        this.setSize(400, 500);
        setVisible(true);
        setResizable(true);
        setLocation(100, 100);
        mainInitialPanel = new InitialPanel();
        add(mainInitialPanel);
        mainInitialPanel.revalidate();
        mainInitialPanel.repaint();
        revalidate();
        repaint();
        isClickOnPlay = mainInitialPanel.isClickOnPlay();
    }

    public boolean isClickOnPlay() {
        return isClickOnPlay;
    }
}
